# have a great day if you stop editing my files

# SGN
execute @a[tag=Host,tag=sgn] ~~~ function sgn/sgn_music_score
execute @a[tag=Host,tag=sgn_devastation] ~~~ function sgn/sgn_music_score
execute @a[tag=Host,tag=sgn_infinite] ~~~ function sgn/sgn_music_score
execute @a[tag=Host,tag=playing_sgn,tag=!sgn_infinite] ~~~ function sgn/sgn_required_enemies
execute @a[tag=Host,tag=!sgn,tag=!sgn_infinite,tag=!sgn_devastation] ~~~ scoreboard players set @s sgn_music -1
execute @a[tag=!playing_sgn] ~~~ scoreboard players set @s sgn_music -1
execute @a[tag=Host,tag=!sgn,tag=!sgn_infinite,tag=!sgn_devastation] ~~~ scoreboard players set @s sgn_req_en -1

execute @a[tag=Host] ~~~ tag @a[tag=!Host] add Member
tag @a[tag=!Member] add Host
tag @a[tag=Member] remove Host

function Cmd.ammoStart
function game_system/xp

# FFA
execute @a[tag=Host,tag=ffa] ~~~ function game_system/ffa_score_display
execute @a[tag=Host,tag=!ffa] ~~~ spawnpoint @a 2010 11 23
execute @a[tag=Host,tag=!ffa] ~~~ event entity @a[x=57,y=5,z=76,dx=-91,dy=35,dz=75,tag=!in_tutorial] js:not_in_ffa

execute @a[tag=Host,tag=playing_sgn,tag=!sgn_infinite] ~~~ titleraw @a title {"rawtext":[{"text":"§l§b Required\nGrowths\nRemaining:\n §e"}, {"score":{"name":"@a[tag=Host]","objective":"sgn_req_en"}}]}
fog @a push js:fog_super_growth_nest SGN

# Tutorial
execute @e[family=no_ai,type=!js:scp682_tutorial] ~~~ tp @s ~ ~ ~ 180 0

tag @a[scores={lobby=1}] add infinite_ammo
tag @a[scores={lobby=0}] remove infinite_ammo

effect @a[tag=has_speed] speed 1 0 true
effect @a[tag=has_speed_lv2] speed 1 1 true

#Dash Hook
execute @a ~~~ ride @s start_riding @e[type=js:dash,r=6,c=1] teleport_rider until_full

execute @e[family=no_ai] ~~~ ride @e[type=js:meathook,r=3] start_riding @s
execute @e[family=scp682] ~~~ ride @e[type=js:meathook,r=3] start_riding @s

#Counter
scoreboard players set @a[tag=Host] playercount 0
execute @a[tag=in_game] ~~~ scoreboard players add @a[tag=Host] playercount 1
execute @a[scores={gamestart=1},tag=!playing_sgn] ~~~ execute @s[scores={playercount=0}] ~~~ function game_system/game_end
execute @a[scores={gamestart=1},tag=!buff_totem] ~~~ execute @s[tag=won] ~~~ function game_system/game_end_won
execute @a[scores={kills=20..}] ~~~ execute @a[scores={gamestart=1},tag=Host,tag=ffa] ~~~ function game_system/game_end_ffa
execute @a[scores={gamestart=1},tag=buff_totem] ~~~ execute @s[tag=won] ~~~ function game_system/game_end_won_buff_totem
execute @a[scores={gamestart=1},tag=playing_sgn] ~~~ execute @s[scores={playercount=0}] ~~~ function game_system/game_end_sgn

#Lobby Effects
effect @a[scores={lobby=1}] regeneration 1 255 true
effect @a[scores={lobby=1}] saturation 1 255 true
execute @a[tag=infinite_ammo] ~~~ function Cmd.ammo_refill
execute @a[tag=Host,tag=infinite_ammo2] ~~~ execute @a ~~~ function Cmd.ammo_refill
execute @a[x=2012,y=22,z=5,r=530] ~~~ scoreboard players set @s lobby 1
execute @a[x=2012,y=22,z=5,rm=531] ~~~ scoreboard players set @s lobby 0
execute @a ~~~ kill @s[y=-40,dy=41]

execute @a[tag=Host,tag=!pass] ~~~ summon js:tutorial

gamerule dodaylightcycle false

# Delayer
execute @a[tag=Host] ~~~ execute @s[tag=delayer] ~~~ scoreboard players add @s timer_delay 1
execute @a[tag=start,scores={timer_delay=39..}] ~~~ function game_system/start_function
execute @a[tag=end,scores={timer_delay=39..}] ~~~ function game_system/end_function
execute @a[tag=Host,scores={timer_delay=40..}] ~~~ tag @s remove delayer
execute @a[tag=Host,scores={timer_delay=40..}] ~~~ scoreboard players set @s timer_delay 1

# MRX-15
execute @p[scores={mrx15=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 1 js:mrx15_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={mrx15=0}] ~ ~ ~ scoreboard players set @p mrx15 -1
execute @p[scores={mrx15=..-1}] ~ ~ ~ scoreboard players set @s mrx15 -1

# XR-A5
execute @p[scores={xra5=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 2 js:xra5_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={xra5=0}] ~ ~ ~ scoreboard players set @p xra5 -1
execute @p[scores={xra5=..-1}] ~ ~ ~ scoreboard players set @s xra5 -1

# Project 80
execute @p[scores={project80=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 3 js:project80_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={project80=0}] ~ ~ ~ scoreboard players set @p project80 -1
execute @p[scores={project80=..-1}] ~ ~ ~ scoreboard players set @s project80 -1

# NG-L7
execute @p[scores={ngl7=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 4 js:ngl7_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={ngl7=0}] ~ ~ ~ scoreboard players set @p ngl7 -1
execute @p[scores={ngl7=..-1}] ~ ~ ~ scoreboard players set @s ngl7 -1

# PRAETEREO
execute @p[scores={praetereo=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 5 js:praetereo_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={praetereo=0}] ~ ~ ~ scoreboard players set @p praetereo -1
execute @p[scores={praetereo=..-1}] ~ ~ ~ scoreboard players set @s praetereo -1

# PRAEDO
execute @p[scores={praedo=0}] ~ ~ ~ replaceitem entity @s slot.hotbar 6 js:praedo_empty 1 0 {"minecraft:item_lock":{"mode":"lock_in_slot"}}
execute @p[scores={praedo=0}] ~ ~ ~ scoreboard players set @p praedo -1
execute @p[scores={praedo=..-1}] ~ ~ ~ scoreboard players set @s praedo -1

gamerule commandblocksenabled true
execute @p[scores={praedo_overheat=60..}] ~~~ playanimation @s animation.praedo_overheat_10 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=54..59}] ~~~ playanimation @s animation.praedo_overheat_9 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=48..53}] ~~~ playanimation @s animation.praedo_overheat_8 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=42..47}] ~~~ playanimation @s animation.praedo_overheat_7 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=36..41}] ~~~ playanimation @s animation.praedo_overheat_6 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=30..35}] ~~~ playanimation @s animation.praedo_overheat_5 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=24..29}] ~~~ playanimation @s animation.praedo_overheat_4 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=18..23}] ~~~ playanimation @s animation.praedo_overheat_3 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=12..17}] ~~~ playanimation @s animation.praedo_overheat_2 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=6..11}] ~~~ playanimation @s animation.praedo_overheat_1 JS 0 "q.is_alive" praedo_overheat
execute @p[scores={praedo_overheat=..0}] ~~~ playanimation @s animation.praedo_overheat_0 JS 0 "q.is_alive" praedo_overheat